Subject: Re: linux-next: manual merge of the mm tree with the folio tree

From: Muchun Song <[email-masked]>
Date: Thu, 23 Jun 2022 10:15:09 +0800

On Thu, Jun 23, 2022 at 2:59 AM Andrew Morton <[email-masked]> wrote:
>
> On Wed, 22 Jun 2022 15:22:35 +0800 Muchun Song <[email-masked]> wrote:
>
> > > Today's linux-next merge of the mm tree got a conflict in:
> > >
> > >   mm/vmscan.c
> > >
> > > between commit:
> > >
> > >   15077be8badc ("vmscan: Add check_move_unevictable_folios()")
> >
> > Sorry for the conflicts, I didn't see this change in the mm-unstable branch
> > yesterday. Based on this commit, I have reworked the following commit
> > (see attachment, mainly changes are about check_move_unevictable_folios()).
> > Andrew can pick it up if he wants to replace the original patch with
> > the new one.
>
> Your comments in
> https://lkml.kernel.org/r/[email-masked]
> make me wonder whether simply dropping cca700a8e695 ("mm: lru: use
> lruvec lock to serialize memcg changes") would be best?
>

Hi Andrew,

Well, I think we can drop this now. After memcg reparenting work stabilizes,
I will resend this patch again.

Thanks.